//--------------------------------------------------------------------------
// File and Version Information:
//      AppUserBuild.cc,v 1.6 1996/02/19 06:17:12 jake Exp
//
// Description:
//      Class AppUserBuild. This class must be provided by the user of
//      the framework in order to build an application. It must define
//      the modules that are to form the basis of the application.
//
// Environment:
//      Software developed for the BaBar Detector at the SLAC B-Factory.
//
// Author List:
//      David R. Quarrie                Original Author
//
// Copyright Information:
//      Copyright (C) 1994              Lawrence Berkeley Laboratory
//
//------------------------------------------------------------------------

//-----------------------
// This Class's Header --
//-----------------------
#include "Framework/APPUserBuild.hh"

//-------------------------------
// Collaborating Class Headers --
//-------------------------------
#include "FrameMods/addCDFrequiredModules.hh"
#include "FrameMods/addAllStorableObjects.hh"
#include "FrameMods/hbook/HepHbookManager.hh"
#include "MyMods/SvxMyModule.hh"

//-----------------------------------------------------------------------
// Local Macros, Typedefs, Structures, Unions and Forward Declarations --
//-----------------------------------------------------------------------

static const char rcsid[] = "$Id: AppUserBuild_template.cc,v 1.7 2000/12/18 18:07:05 sexton Exp $";

//----------------
// Constructors --
//----------------

AppUserBuild::AppUserBuild( AppFramework* theFramework )
    : AppBuild( theFramework )
{

    addCDFrequiredModules( this );
   
    addAllStorableObjects( );

    AppModule* aModule;

    aModule = new SvxMyModule();
    add( aModule );
}

//--------------
// Destructor --
//--------------

AppUserBuild::~AppUserBuild( )
{
}
const char * AppUserBuild::rcsId( ) const
{
   return rcsid;
}
